WhatsApp Meta agent
Get Meta agent website
Fetch one site and its crawl status.
GET
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
websites
/
{website_id}
Get Meta agent website
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/websites/{website_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/websites/{website_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/websites/{website_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"crawl_status": "not_started",
"crawl_error": "<string>",
"pages_crawled": 123,
"last_crawled_at": "<string>",
"created_at": "<string>",
"included_sub_domains": [
"<string>"
],
"included_url_patterns": [
"<string>"
],
"excluded_sub_domains": [
"<string>"
],
"excluded_url_patterns": [
"<string>"
],
"single_urls": [
"<string>"
]
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
The ID of the website
Response
200 - application/json
Available options:
not_started, pending, in_progress, completed, completed_no_data, failed Was this page helpful?
⌘I
Get Meta agent website
